Bug 1275280 - HP Spectre x360 keyboard intermittently disabled [NEEDINFO]
HP Spectre x360 keyboard intermittently disabled
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 08:56 EDT by Nick Coghlan
Modified: 2017-04-28 13:09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 13:09:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2015-10-26 08:56:33 EDT
Description of problem:

The HP Spectre 360 is a convertible laptop that disables the keyboard when switched to touchscreen mode. While upgrading to the F23 beta appeared to fix some other problems (e.g. suspending now works), the recent 4.2.3 kernel is regularly disabling the keyboard during normal use.


Version-Release number of selected component (if applicable):

kernel-4.2.3-300.fc23.x86_64

How reproducible:

Consistently on the 4.2.3 kernel, very occasionally on the 4.2.1 kernel. 

Steps to Reproduce:
1. Run Fedora 23 on a HP Spectre x360
2. Watch for the backlight activation light under the F5 key to turn off
3.

Actual results:

The F5 "Enable backlight" key regularly goes dark, and stays dark for extended periods (up to tens of seconds). During this time, the keyboard is disabled as if the computer was in touch screen mode.

When using the 4.2.1 kernel instead, this still happens occasionally, but significantly less often, and the keyboard only stays disabled for a couple of seconds at most (unless actually flipped into tablet mode).

Prior to upgrading to the F23 beta (from F22), I don't recall this particular problem ever happening at all - the keyboard worked reliably.

Expected results:

The keyboard stays enabled unless the machinely is physically flipped into tablet mode.

Additional info:

I haven't double checked since booting back into 4.2.1, but I think when I tried switching to tablet mode while running 4.2.3, it *didn't* disable the keyboard.
Comment 1 Nick Coghlan 2016-06-13 12:04:11 EDT
Version bump as the problem still exists in F24 beta
Comment 2 morgan read 2016-08-06 04:30:53 EDT
I can add that this has occurred recently at boot - meaning that I'm unable to enter luks password, unable to enter rescue, unable to access the HP boot tools - all I'm able to do is press the power button for a few seconds, go away, pray and come back sometime latter and hope it works...  Sometimes it doesn't...
Comment 3 morgan read 2016-08-06 05:14:18 EDT
Re Comment 2
$ uname -r
4.6.4-301.fc24.x86_64
Comment 4 Laura Abbott 2016-09-23 15:08:04 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.
Comment 5 Nick Coghlan 2016-09-28 04:49:52 EDT
Morgan, if it's staying disabled for more than 5-10 seconds, that's a different symptom and likely a different bug entirely, especially if it's only happening at startup (this one was about the keyboard being intermittently disabled during normal operation, and then coming back a few seconds later).

Laura, I haven't noticed the keyboard disabling itself since the upgrade to 4.7.4, so I'm going to mark this as "CLOSED CURRENTRELEASE" for now.

It's easy for me to miss when working on an external keyboard though (I have to notice the backlight switch turning itself off), so if I do see it happen again, I'll reopen the BZ.
Comment 6 Nick Coghlan 2016-10-05 21:30:12 EDT
I'm working directly on the laptop today (no external keyboard), and am seeing symptoms similar to those I saw with the 4.2.1 kernel: the internal keyboard will be intermittently disabled for a few seconds, before resuming normal operation.

It's rare enough that the system is still usable, but frequent enough that I saw the problem within 15-20 minutes of using the device without an external keyboard attached.

$ uname -r
4.7.5-200.fc24.x86_64
Comment 7 Nick Coghlan 2016-10-05 21:36:27 EDT
Following up on the "Additional Info" section in my initial bug report: flipping the device into tablet mode *does* disable the keyboard exactly as it should, so the only anomalous behaviour I'm seeing is that the keyboard sometimes gets disabled while in laptop mode.
Comment 8 Justin M. Forbes 2017-04-11 10:51:35 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 9 Justin M. Forbes 2017-04-28 13:09:09 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.